org.apache.sysds.runtime.instructions.cp

## Class SqlCPInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.cp.CPInstruction
    - - org.apache.sysds.runtime.instructions.cp.SqlCPInstruction

    public class SqlCPInstruction
    extends CPInstruction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.cp.CPInstruction

`CPInstruction.CPType`

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

`Instruction.IType`

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

`DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`SqlCPInstruction(CPOperand conn, CPOperand user, CPOperand pass, CPOperand query, CPOperand out, String opcode, String instr)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CPOperand[]` `getInputs()` Returns the inputs of the instruction.
`CPOperand` `getOutput()`
`String` `getOutputVariableName()`
`static SqlCPInstruction` `parseInstruction(String str)`
`void` `processInstruction(ExecutionContext ec)` This method should be used to execute the instruction.

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.CPInstruction

`getCPInstructionType, getGraphString, getType, postprocessInstruction, preprocessInstruction, requiresLabelUpdate, updateLabels`

### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, getPrivacyConstraint, printMe, setInstID, setLocation, setLocation, setLocation, setLocation, setPrivacyConstraint, setPrivacyConstraint, toString, updateInstructionThreadID`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SqlCPInstruction

    public SqlCPInstruction(CPOperand conn,
                            CPOperand user,
                            CPOperand pass,
                            CPOperand query,
                            CPOperand out,
                            String opcode,
                            String instr)

### Method Detail

#### parseInstruction

    public static SqlCPInstruction parseInstruction(String str)

#### processInstruction

    public void processInstruction(ExecutionContext ec)

Description copied from class: `Instruction`
This method should be used to execute the instruction.

Specified by:
  `processInstruction` in class `CPInstruction`
Parameters:
  `ec` - execution context

#### getOutputVariableName

    public String getOutputVariableName()

#### getOutput

    public CPOperand getOutput()

#### getInputs

    public CPOperand[] getInputs()

Returns the inputs of the instruction. Inputs are conn, user, pass, and query.

Returns:
  inputs of the instruction